#
# spec file for package fswebcam
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fswebcam
Version:        20200725
Release:        1.15
Summary:        Tiny and flexible webcam program
License:        GPL-2.0-only
URL:            https://www.sanslogic.co.uk/fswebcam/
Source0:        https://www.sanslogic.co.uk/fswebcam/files/%{name}-%{version}.tar.xz
BuildRequires:  gd-devel > 2
Requires:       gd > 2

%description
Tiny and flexible webcam program for capturing images from a V4L1/V4L2
device, and overlaying a caption or image.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%doc README CHANGELOG example.conf
%{_bindir}/fswebcam
%{_mandir}/man1/fswebcam.1%{?ext_man}

%changelog
* Tue Sep 29 2020 Dirk Mueller <dmueller@suse.com>
- update to 20200725:
  - Return a non-zero if the capture fails.
  - Add option to change camera timeout from default of 10 seconds.
    (James McCormac)
  - Add new Bayer palettes. (Eugen Hristev)
  - Add WebP output support.
  - Add option to dump raw frames to stdout. (Philipp Simon Schmidt)
  - Add option to limit number of times to loop.
  - Fix libgd 2.3.0+ issue where the font test always fails. (Ashley Dixon)
* Thu Jan  2 2020 Adrian Schröter <adrian@suse.de>
- update to current version from git
  * new support for VYUY format
  * new bayer formats
  * WebP output support
  * update videodev2.h header
  * optflags are taken into account
  * documentation and build env updates
- fix URL references
* Tue Jul  1 2014 adrian@suse.de
- initial package of version 20140113
- based on a spec file from Thomas Spahni
